package org.dromara.system.service;

import org.dromara.system.domain.TblExpressStatics;
import org.dromara.system.domain.vo.TblExpressStaticsVo;
import org.dromara.system.domain.bo.TblExpressStaticsBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author Lion Li
 * @date 2025-01-06
 */
public interface ITblExpressStaticsService {

    /**
     * 查询【请填写功能名称】
     */
    TblExpressStaticsVo queryById(Long id);

    /**
     * 查询【请填写功能名称】列表
     */
    TableDataInfo<TblExpressStaticsVo> queryPageList(TblExpressStaticsBo bo, PageQuery pageQuery);

    /**
     * 查询【请填写功能名称】列表
     */
    List<TblExpressStaticsVo> queryList(TblExpressStaticsBo bo);

    /**
     * 新增【请填写功能名称】
     */
    Boolean insertByBo(TblExpressStaticsBo bo);

    /**
     * 修改【请填写功能名称】
     */
    Boolean updateByBo(TblExpressStaticsBo bo);

    /**
     * 校验并批量删除【请填写功能名称】信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
